@import url("https://fonts.googleapis.com/css?family=Lato:300,400,700|Source+Sans+Pro:300,600");
body {
    font-family: "Lato", sans-serif;
}

td {
    font-size: 14px;
    padding: 10px;
}

.table>tbody>tr>td {
    line-height: 4;
}

.logo .logo {
    display: inline-block;
    color: #020202;
    font-size: 1.4em;
    font-weight: 700;
    font-family: "Source Sans Pro", sans-serif;
}

.logo .rog {
    color: #666666;
    font-family: "Lato", sans-serif;
    font-weight: 300;
}

.dashboto-logo {
    margin-left: 6px;
    background: #14abfa;
    height: 25px;
    width: 25px;
    color: #ffffff;
    font-family: "Source Sans Pro", sans-serif;
    padding: 4px;
    border-radius: 4px;
    display: inline-block;
}

.dashboto-logo p {
    display: inline-block;
    letter-spacing: -2px;
    margin-top: -2px;
}

.dashboto-logo p:nth-child(2) {
    font-weight: 600;
}

.tagline {
    color: #9b9ea2;
    font-weight: 300;
    padding: 0px 5px;
    margin-top: -5px;
}

.tagline bold {
    color: #14abfa;
}

.option {
    width: 20%;
    height: 100vh;
    padding: 0px 2%;
    float: left;
}

button {
    background: #14abfa;
    border: solid 6px #14abfa;
    border-radius: 3px;
    color: #ffffff;
    font-weight: 700;
    font-family: "Source Sans Pro", sans-serif;
    font-size: 1.2em;
    margin-left: 0;
}

.mt-23 {
    margin-top: 30px !important;
}

.menu {
    margin-top: 30px;
    width: 100%;
    padding: 0px;
    margin-left: 8px;
}

.mainsection {
    width: 81%;
    position: absolute;
    top: 56px
}

@media (max-width: 480px) {
    .mainsection {
        position: relative;
        left: -40px;
        width: 100%;
    }
}

.card {
    padding-top: -10px;
    margin-bottom: 0px;
    padding-bottom: 0px;
    padding: 10px;
}

.menu a {
    width: 100%;
    color: #666666;
    text-decoration: none;
    margin: 15px 0px;
    float: left;
    display: block;
    font-size: 1.2em;
}

.menu a:first-child {
    color: #14abfa;
}

.menu a i {
    font-size: 1.7em;
    color: #14abfa;
    position: relative;
    padding-right: 10px;
    top: 3px;
}

.menu .fa-tasks {
    top: 6px;
    padding-left: 2px;
}

.menu .fa-book {
    top: 5px;
    padding-left: 2px;
}

.menu .fa-newspaper-o {
    top: 6px;
    padding-left: 2px;
}

.menu .fa-money {
    top: 5px;
    padding-left: 2px;
}

.clear {
    clear: both;
}

.dashboard-heading {
    width: 100%;
    float: left;
    background: #ffffff;
    position: relative;
    color: #73787c;
    margin-top: 20px;
    position: relative;
}

.dashboard-heading .panel {
    padding-bottom: 20px;
}

.dashboard-heading .panel i bold {
    position: absolute;
    font-size: 0.6em;
    border-radius: 50%;
    padding: 4px 6px;
    background: #12abf7;
    color: white;
    font-weight: 700;
    margin-top: -10px;
}

.btc-price {
    display: inline-block;
    position: absolute;
    right: 20px;
    top: -8px;
    color: #12abf7;
}

.dashboard-heading .panel i {
    border-radius: 50%;
    background: #f4f4f4;
    padding: 8px;
    border: solid 2px;
    position: relative;
    left: 20px;
    cursor: pointer;
}

.dashboard-heading .all {
    background: #f2f2f2;
    width: 100%;
    /* min-height: 100vh; */
}


/* .countget{
    font-size: 20px;
    font-weight: 700;
} */

.all .starter-stats .blok {
    background: #ffffff;
    width: 17%;
    float: left;
    margin: 20px 1.5%;
    font-size: 14px;
    font-family: "Source Sans Pro", sans-serif;
    position: relative;
    border-radius: 6px;
    text-align: center;
    padding: 10px;
    font-weight: 300;
    color: gray;
}

.blok i {
    border-radius: 50%;
    background: #12abf7;
    padding: 10px;
    color: white;
    display: inline-block;
    position: relative;
    top: -20px;
    margin-left: 20px;
    margin-right: 5px;
    font-size: 1.2em;
}

.blok .kl {
    background: #978ded;
}

.blok .pl {
    background: #facaee;
}

.blok .no {
    display: inline-block;
}

.blok .no p:first-child {
    font-weight: bold;
    font-size: 1.6em;
    position: relative;
    top: 0px;
}

.blok .no p:nth-child(2) {
    position: relative;
    top: -10px;
    font-size: 1.3em;
    font-weight: 600;
    color: gray;
}

.gains {
    width: 80%;
    padding: 20px 8%;
    margin: 5px auto;
    background: #ffffff;
}

@media only screen and (max-width: 800px) {
    .option {
        width: 90%;
        display: none;
    }
    .dashboard-heading {
        width: 100%;
    }
    .blok i {
        display: none;
    }
}

h2,
h1 {
    color: rgb(16, 16, 16);
    font-size: 14px;
}

.account-box {
    border: 1px solid #f1f1f1;
    border-radius: 7px;
    padding: 10px 0;
    margin: 10px 0 20px 0 !important;
    height: 130px;
    box-shadow: 0 2px 2px 2px #f5f2f2;
    padding: 0;
}

.third-s {
    background: #ecfff2;
    align-items: center;
    justify-content: center;
    display: flex;
}

.third-in {
    background: #ecfff2;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    padding: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #30a453;
    box-shadow: 0 2px 15px -7px;
    border: 1px solid #30a453;
    flex-shrink: inherit;
    flex-wrap: nowrap;
}

.withdraw-button {
    background: #30a453;
    border: none;
    padding: 8px 10px;
    font-weight: 600;
    margin-left: 5px;
}

.tbl-sell thead {
    background: #30a453;
}

.tbl-sell thead th {
    color: #fff;
}

.a-box {
    display: flex;
    align-items: center;
    justify-content: center;
}

@media(max-width:576px) {
    .mob-mt {
        margin-top: 20px !important;
    }
}

@media(max-width:1100px) {
    .tbl-sell {
        width: 1068px;
        overflow-x: scroll;
    }
}

.ase {
    align-self: end;
}

.cdk-overlay-pane {
    position: absolute;
    pointer-events: auto;
    box-sizing: border-box;
    z-index: 1000;
    display: flex;
    max-width: 100%;
    max-height: 100%;
}

.cdk-overlay-pane {
    position: absolute;
    pointer-events: auto;
    box-sizing: border-box;
    z-index: 1000;
    display: flex;
    max-width: 100%;
    max-height: 100%;
}

.cdk-overlay-connected-position-bounding-box {
    position: absolute;
    z-index: 1000;
    display: flex;
    flex-direction: column;
    min-width: 1px;
    min-height: 1px;
}

.cdk-visually-hidden {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
    white-space: nowrap;
    outline: 0;
    -webkit-appearance: none;
    -moz-appearance: none;
    left: 0;
}

.mat-datepicker-content-container {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.mat-datepicker-content-container {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}


/* calander alignments */

.a-s-e {
    align-self: flex-end!important;
}

.mat-mdc-form-field {
    display: -webkit-inline-box!important;
    line-height: 32px!important;
    height: 35px!important;
    border: 1px solid #ced4da !important;
}

.mat-mdc-form-field {
    height: auto!important;
}

::ng-deep .mdc-icon-button,
.mat-mdc-icon-button {
    height: 30px!important;
    padding: 0!important;
    display: block;
}

::ng-deep button.mdc-icon-button.mat-mdc-icon-button.mat-unthemed.mat-mdc-button-base {
    height: 30px!important;
    padding: 0!important;
    display: block;
    z-index: 9;
}

::ng-deep .mat-mdc-text-field-wrapper.mdc-text-field.ng-tns-c114-0.mdc-text-field--filled.mdc-text-field--no-label {
    display: block!important;
}

.dg {
    display: grid!important;
}

::ng-deep .mat-mdc-text-field-wrapper.mdc-text-field.ng-tns-c114-1.mdc-text-field--filled.mdc-text-field--no-label {
    display: block!important;
}

::ng-deep .mdc-line-ripple::before {
    border-bottom: 0 !important;
    border-bottom-width: 0 !important;
}

::ng-deep .mdc-line-ripple::after {
    border-bottom: 0 !important;
    border-bottom-width: 0 !important;
}

::ng-deep .mat-calendar-previous-button::after,
.mat-calendar-next-button::after {
    height: 15px;
}

::ng-deep .mat-calendar-next-button::after {
    height: 15px;
}

.mdc-icon-button {
    width: 20px;
}

@media(max-width:767px) {
    .r-chr {
        margin-bottom: 15px!important;
    }
    .r-chr1 {
        margin-bottom: 15px!important;
    }
}

@media(max-width:567px) {
    .r-chr1 {
        margin-bottom: 15px !important;
    }
}

::ng-deep .mat-mdc-form-field-infix {
    width: 87% !important;
}

::ng-deep .mat-mdc-text-field-wrapper {
    display: block !important;
}

::ng-deep input.mat-mdc-input-element.mat-datepicker-input.ng-tns-c114-1 {
    width: 100%;
    border: 0;
    background: transparent;
    z-index: 9;
    position: relative;
}

::ng-deep .mat-mdc-form-field-icon-suffix.ng-tns-c114-0.ng-star-inserted {
    display: block;
    opacity: 1;
    width: 13%;
}

::ng-deep mat-datepicker-toggle.mat-datepicker-toggle.ng-tns-c114-0 {
    display: block;
    opacity: 1;
}

::ng-deep input.mat-mdc-input-element.mat-datepicker-input.ng-tns-c114-6 {
    width: 100%;
    border: 0;
    background: transparent;
}

::ng-deep .mat-mdc-form-field-subscript-wrapper.mat-mdc-form-field-bottom-align.ng-tns-c114-0 {
    display: none;
}


/* ::ng-deep .mat-mdc-text-field-wrapper.mdc-text-field.ng-tns-c114-3.mdc-text-field--filled.mdc-text-field--no-label {
    display: block !important;
} */

@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap");

/* Reset Style */


/* * {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
} */

.tbl-height {
    max-height: 500px;
    overflow: auto;
}

.th-bg {
    position: sticky;
    top: -2px;
}

td {
    font-size: 14px;
}

.table th img,
.table td img {
    float: left !important;
    margin-right: 7px !important;
}

.sign-form2 label,
p {
    font-size: 14px !important;
    overflow: auto !important;
    font-weight: normal !important;
}

.ase {
    align-self: end;
}

.badge-o {
    padding: 8px 10px;
    background-color: rgb(255, 206, 115);
    color: black;
}

.dropbtn {
    background-color: #3498DB;
    color: white;
    padding: 5px 15px !important;
    font-size: 16px;
    border: none;
    cursor: pointer;
}

.dropbtn:hover,
.dropbtn:focus {
    background-color: #2980B9;
}

.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    overflow: auto;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
    text-align: left;
    border-radius: 5px;
}

.dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}

.main-panel {
    width: 100%;
}

.show {
    display: block;
}

.sidebar[_ngcontent-dos-c51] .nav-links[_ngcontent-dos-c51] li[_ngcontent-dos-c51] i[_ngcontent-dos-c51] {
    color: #eee !important;
}

.sidebar[_ngcontent-dos-c51] .nav-links[_ngcontent-dos-c51] li[_ngcontent-dos-c51] a[_ngcontent-dos-c51] .link_name[_ngcontent-dos-c51] {
    color: #fff;
}

.sidebar[_ngcontent-dos-c51] .nav-links[_ngcontent-dos-c51] li[_ngcontent-dos-c51]:hover,
.sidebar[_ngcontent-dos-c51] .nav-links[_ngcontent-dos-c51] li.active[_ngcontent-dos-c51] {
    background: transparent;
}

.sidebar[_ngcontent-dos-c51] .nav-links[_ngcontent-dos-c51] li[_ngcontent-dos-c51]:hover a[_ngcontent-dos-c51] .link_name[_ngcontent-dos-c51],
.sidebar[_ngcontent-dos-c51] .nav-links[_ngcontent-dos-c51] li.active[_ngcontent-dos-c51] a[_ngcontent-dos-c51] .link_name[_ngcontent-dos-c51] {
    color: #fff;
}

.sidebar[_ngcontent-dos-c51] .nav-links[_ngcontent-dos-c51] li[_ngcontent-dos-c51] .sub-menu[_ngcontent-dos-c51] a[_ngcontent-dos-c51] {
    color: #000 !important;
}

.sale-pil .nav-link.active {
    color: #30a453 !important;
    background: transparent !important;
    border: 0 !important;
    border-bottom: 3px solid #30a453 !important;
}

ul.nav.nav-pills.sale-pil {
    border-bottom: 0;
}

.sale-pil .nav-link {
    background: transparent !important;
    border: 0 !important;
    font-size: 18px;
}

.container-c {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 22px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.container-c input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

.checkmark-c {
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    width: 25px;
    background-color: #eee;
    border-radius: 3px;
}

.container-c:hover input~.checkmark-c {
    background-color: #ccc;
}

.container-c input:checked~.checkmark-c {
    background-color: #30a453;
}

.checkmark-c:after {
    content: "";
    position: absolute;
    display: none;
}

.container-c input:checked~.checkmark-c:after {
    display: block;
}

.container-c .checkmark-c:after {
    left: 9px;
    top: 5px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

@media(max-width:1100px) {
    .tbl-sell {
        width: 1068px;
        overflow-x: scroll;
    }
}


/* -------for calander-------- */

::ng-deep .cdk-overlay-container {
    position: fixed;
    z-index: 9999 !important;
}

::ng-deep .cdk-overlay-container {
    position: fixed;
    z-index: 1000;
}

::ng-deep .cdk-overlay-container,
.cdk-global-overlay-wrapper {
    pointer-events: none;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
}

::ng-deep .cdk-overlay-backdrop.cdk-overlay-backdrop-showing {
    opacity: 1;
}

::ng-deep .cdk-overlay-backdrop {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 1000;
    pointer-events: auto;
    -webkit-tap-highlight-color: transparent;
    transition: opacity 400ms cubic-bezier(0.25, 0.8, 0.25, 1);
    opacity: 0;
}

::ng-deep .cdk-overlay-connected-position-bounding-box {
    position: absolute;
    z-index: 1000;
    display: flex;
    flex-direction: column;
    min-width: 1px;
    min-height: 1px;
}

::ng-deep .cdk-overlay-pane {
    position: absolute;
    pointer-events: auto;
    box-sizing: border-box;
    z-index: 1000;
    display: flex;
    max-width: 100%;
    max-height: 100%;
}

::ng-deep .cdk-overlay-pane {
    position: absolute;
    pointer-events: auto;
    box-sizing: border-box;
    z-index: 1000;
    display: flex;
    max-width: 100%;
    max-height: 100%;
}

::ng-deep .cdk-visually-hidden {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
    white-space: nowrap;
    outline: 0;
    -webkit-appearance: none;
    -moz-appearance: none;
    left: 0;
}

::ng-deep .mat-datepicker-content-container {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

::ng-deep .mat-datepicker-content .mat-calendar {
    width: 296px;
    height: 354px;
    background: #fff;
    box-shadow: 0 1px 4px;
    border-radius: 4px;
}

::ng-deep .mat-calendar {
    display: block;
}

::ng-deep .mat-calendar {
    font-family: Roboto, "Helvetica Neue", sans-serif;
}

::ng-deep .mat-calendar-header {
    padding: 8px 8px 0 8px;
}

::ng-deep .mat-calendar-controls {
    display: flex;
    margin: 5% calc(4.7142857143% - 16px);
}

::ng-deep .mat-calendar-period-button {
    min-width: 0;
}

::ng-deep .mat-button,
.mat-icon-button,
.mat-stroked-button,
.mat-flat-button {
    box-sizing: border-box;
    position: relative;
    -webkit-user-select: none;
    user-select: none;
    cursor: pointer;
    outline: none;
    border: none;
    -webkit-tap-highlight-color: transparent;
    display: inline-block;
    white-space: nowrap;
    text-decoration: none;
    vertical-align: baseline;
    text-align: center;
    margin: 0;
    min-width: 64px;
    line-height: 36px;
    padding: 0 16px;
    border-radius: 4px;
    overflow: visible;
}

::ng-deep .mat-button,
.mat-icon-button,
.mat-stroked-button {
    color: inherit;
    background: transparent;
}

::ng-deep .mat-focus-indicator {
    position: relative;
}

::ng-deep .mat-calendar-body-label,
.mat-calendar-period-button {
    font-size: 14px;
    font-weight: 500;
}

::ng-deep .mat-button,
.mat-raised-button,
.mat-icon-button,
.mat-stroked-button,
.mat-flat-button,
.mat-fab,
.mat-mini-fab {
    font-family: Roboto, "Helvetica Neue", sans-serif;
    font-size: 14px;
    font-weight: 500;
}

::ng-deep .mat-button .mat-button-wrapper>*,
.mat-flat-button .mat-button-wrapper>*,
.mat-stroked-button .mat-button-wrapper>*,
.mat-raised-button .mat-button-wrapper>*,
.mat-icon-button .mat-button-wrapper>*,
.mat-fab .mat-button-wrapper>*,
.mat-mini-fab .mat-button-wrapper>* {
    vertical-align: middle;
}

::ng-deep .mat-button-ripple.mat-ripple,
.mat-button-focus-overlay {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    position: absolute;
    pointer-events: none;
    border-radius: inherit;
}

::ng-deep .mat-ripple {
    overflow: hidden;
    position: relative;
}

::ng-deep .mat-button .mat-button-focus-overlay,
.mat-icon-button .mat-button-focus-overlay {
    opacity: 0;
}

::ng-deep .mat-button-focus-overlay {
    opacity: 0;
    transition: opacity 200ms cubic-bezier(0.35, 0, 0.25, 1), background-color 200ms cubic-bezier(0.35, 0, 0.25, 1);
}

::ng-deep .mat-calendar-spacer {
    flex: 1 1 auto;
}

::ng-deep .mat-datepicker-toggle,
.mat-datepicker-content .mat-calendar-next-button,
.mat-datepicker-content .mat-calendar-previous-button {
    color: rgba(0, 0, 0, .54);
}

::ng-deep .mat-calendar-content {
    padding: 0 8px 8px 8px;
    outline: none;
}

::ng-deep .mat-calendar-table {
    border-spacing: 0;
    border-collapse: collapse;
    width: 100%;
}

::ng-deep .mat-calendar-table-header,
.mat-calendar-body-label {
    color: rgba(0, 0, 0, .54);
}

::ng-deep .mat-calendar-body {
    min-width: 224px;
}

::ng-deep .mat-calendar-body {
    font-size: 13px;
}

::ng-deep .mat-calendar-body-label {
    height: 0;
    line-height: 0;
    text-align: left;
    padding-left: 4.7142857143%;
    padding-right: 4.7142857143%;
}

::ng-deep .mat-calendar-table-header,
.mat-calendar-body-label {
    color: rgba(0, 0, 0, .54);
}

::ng-deep .mat-calendar-body-label,
.mat-calendar-period-button {
    font-size: 14px;
    font-weight: 500;
}

::ng-deep .mat-calendar-body-cell::before,
.mat-calendar-body-cell::after,
.mat-calendar-body-cell-preview {
    content: "";
    position: absolute;
    top: 5%;
    left: 0;
    z-index: 0;
    box-sizing: border-box;
    height: 90%;
    width: 100%;
}

::ng-deep .mat-calendar-body-cell-content.mat-focus-indicator {
    position: absolute;
}

::ng-deep .mat-calendar-body-cell-content {
    top: 5%;
    left: 5%;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
    width: 90%;
    height: 90%;
    line-height: 1;
    border-width: 1px;
    border-style: solid;
    border-radius: 999px;
}

::ng-deep .mat-calendar-body-cell-content,
.mat-date-range-input-separator {
    color: rgba(0, 0, 0, .87);
    border-color: transparent;
}

::ng-deep .mat-focus-indicator {
    position: relative;
}

::ng-deep .mat-calendar-body-cell::before,
.mat-calendar-body-cell::after,
.mat-calendar-body-cell-preview {
    content: "";
    position: absolute;
    top: 5%;
    left: 0;
    z-index: 0;
    box-sizing: border-box;
    height: 90%;
    width: 100%;
}

::ng-deep .mat-calendar-body-cell::before,
.mat-calendar-body-cell::after,
.mat-calendar-body-cell-preview {
    content: "";
    position: absolute;
    top: 5%;
    left: 0;
    z-index: 0;
    box-sizing: border-box;
    height: 90%;
    width: 100%;
}

::ng-deep .mat-calendar-body-today:not(.mat-calendar-body-selected):not(.mat-calendar-body-comparison-identical) {
    border-color: rgba(0, 0, 0, .38);
}

::ng-deep .mat-calendar-body-cell-content.mat-focus-indicator {
    position: absolute;
}

::ng-deep .mat-calendar-body-cell-content {
    top: 5%;
    left: 5%;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
    width: 90%;
    height: 90%;
    line-height: 1;
    border-width: 1px;
    border-style: solid;
    border-radius: 999px;
}

::ng-deep .mat-calendar-body-cell-content,
.mat-date-range-input-separator {
    color: rgba(0, 0, 0, .87);
    border-color: transparent;
}

::ng-deep .mat-focus-indicator {
    position: relative;
}

::ng-deep .mat-calendar-body-cell-container {
    /* position: relative; */
    height: 0;
    /* line-height: 0; */
}

::ng-deep .mat-calendar-body-cell-container {
    position: relative;
    height: 40px !important;
    line-height: 14;
}

::ng-deep .mat-calendar-body-cell::before,
.mat-calendar-body-cell::after,
.mat-calendar-body-cell-preview {
    content: "";
    position: absolute;
    top: 5%;
    left: 0;
    z-index: 0;
    box-sizing: border-box;
    height: 90%;
    width: 100%;
}

::ng-deep .mat-calendar-body-cell-content.mat-focus-indicator {
    position: absolute;
}

::ng-deep .mat-calendar-body-cell-content {
    top: 5%;
    left: 5%;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
    width: 90%;
    height: 90%;
    line-height: 1;
    border-width: 1px;
    border-style: solid;
    border-radius: 999px;
}

::ng-deep .mat-calendar-body-selected {
    background-color: #3f51b5;
    color: #fff;
}

::ng-deep .mat-calendar-body-cell-content,
.mat-date-range-input-separator {
    color: rgba(0, 0, 0, .87);
    border-color: transparent;
}

::ng-deep .mat-focus-indicator {
    position: relative;
}

::ng-deep .mat-calendar-body-cell::before,
.mat-calendar-body-cell::after,
.mat-calendar-body-cell-preview {
    content: "";
    position: absolute;
    top: 5%;
    left: 0;
    z-index: 0;
    box-sizing: border-box;
    height: 90%;
    width: 100%;
}

::ng-deep .mat-calendar-body-cell::before,
.mat-calendar-body-cell::after,
.mat-calendar-body-cell-preview {
    content: "";
    position: absolute;
    top: 5%;
    left: 0;
    z-index: 0;
    box-sizing: border-box;
    height: 90%;
    width: 100%;
}


/* ---------------- */

#nav-gwbar1.nav-gwbar-single-row {
    margin-left: 0 !important;
    height: auto;
}

#nav-gwbar1.nav-gwbar-single-row li a.nav-a {
    margin-top: 6px;
    padding: 8px 16px;
}

.nav-pills .nav-link.active,
.nav-pills .show>.nav-link {
    color: #fff;
    background-color: transparent;
    color: orange !important;
    border-bottom: 2px solid orange !important;
    border-radius: 0;
}

.nav-pills .nav-link.active:hover {
    color: #fff;
    background-color: transparent;
    color: orange !important;
    border-bottom: 2px solid orange !important;
    border-radius: 0;
}

.nav-pills .nav-link:hover {
    border: none !important;
}

#nav-gwbar1.nav-genz li a.nav-a {
    font-size: 16px !important;
}

.table thead th {
    padding: 15px 10px;
}


/* calander alignments */

.a-s-e {
    align-self: flex-end!important;
}

.mat-mdc-form-field {
    display: -webkit-inline-box!important;
    line-height: 32px!important;
    height: 35px!important;
    border: 1px solid #ced4da !important;
}

.mat-mdc-form-field {
    height: auto!important;
}

::ng-deep .mdc-icon-button,
.mat-mdc-icon-button {
    height: 30px!important;
    padding: 0!important;
}

::ng-deep button.mdc-icon-button.mat-mdc-icon-button.mat-unthemed.mat-mdc-button-base {
    height: 30px!important;
    padding: 0!important;
}

::ng-deep .mat-mdc-text-field-wrapper.mdc-text-field.ng-tns-c114-0.mdc-text-field--filled.mdc-text-field--no-label {
    display: block!important;
}

.dg {
    display: grid!important;
}

::ng-deep .mat-mdc-text-field-wrapper.mdc-text-field.ng-tns-c114-1.mdc-text-field--filled.mdc-text-field--no-label {
    display: block!important;
}

::ng-deep .mdc-line-ripple::before {
    border-bottom: 0 !important;
    border-bottom-width: 0 !important;
}

::ng-deep .mdc-line-ripple::after {
    border-bottom: 0 !important;
    border-bottom-width: 0 !important;
}

::ng-deep .mat-calendar-previous-button::after,
.mat-calendar-next-button::after {
    height: 15px;
}

::ng-deep .mat-calendar-next-button::after {
    height: 15px;
}

.mdc-icon-button {
    width: 20px;
}

@media(max-width:767px) {
    .r-chr {
        margin-bottom: 15px!important;
    }
    .r-chr1 {
        margin-bottom: 15px!important;
    }
}

@media(max-width:567px) {
    .r-chr1 {
        margin-bottom: 15px !important;
    }
}